<nz-skeleton [nzActive]="true" nzRound [nzLoading]="isLoading">
  <div nz-row nzGutter="12">
    <div
      nz-col
      nzXs="24"
      nzSm="24"
      nzLg="12"
      *ngFor="let item of housesList"
      style="margin-top: 12px"
    >
      <nz-card [nzTitle]="houseTitle" [nzExtra]="houseExtra">
        <h4>
          {{ "Common.Region" | translate }}:
          <a [routerLink]="['/region', item.region.id]">
            {{ item.region.x }}, {{ item.region.y }}
          </a>
        </h4>

        <ng-template #houseTitle
          >{{ item.name }}
          <span
            style="color: gold; font-size: 15px"
            innerHtml="{{ item.quality | q }}"
          ></span
        ></ng-template>
        <ng-template #houseExtra>
          <button [disabled]="item.canUse === false"
            nz-button
            nzType="primary"
            nzShape="round"
            (click)="useHouse(item)"
            nz-tooltip
            nzTooltipTitle='{{ "Economy.Construction.useHouse" | translate }}'
          >
            <i class="fas fa-home"></i>
          </button>
          <button
            nz-button
            nzShape="round"
            nzType="primary"
            nz-tooltip
            nzTooltipTitle='{{ "Economy.Construction.manageEstate" | translate }}'
            (click)="manage(item)"
            style="margin-left: 10px"
          >
            <i class="fas fa-cog"></i>
          </button>
        </ng-template>
      </nz-card>
    </div>
  </div>
  <div
    *ngIf="housesList.length === 0"
    style="text-align: center; margin-top: 30px"
  >
    <h3>{{ "Economy.Construction.YouDontOwnHouses" | translate }}.</h3>
  </div>
</nz-skeleton>
